caption: Set custom schedule to reboot devices
desc: |
  Allows setting a custom schedule to reboot devices. Once set to True, the device will reboot to the schedule. The policy must be removed to cancel any more scheduled reboots.

        In user sessions and guest sessions, the following applies:

          * The users are notified that the restart will occur 1 hour before the scheduled time. They have an option to restart then or wait for the scheduled reboot. The scheduled reboot cannot be deferred.

          * There is a 1 hour grace period after the device is booted. Scheduled reboots are skipped during this period and rescheduled for the next day, week, or month, depending on the setting.

        In kiosk sessions, there is no grace period and no notifications about the reboot.
device_only: true
example_value:
  day_of_month: 11
  day_of_week: TUESDAY
  frequency: WEEKLY
  reboot_time:
    hour: 22
    minute: 30
features:
  dynamic_refresh: true
  per_profile: false
owners:
- rbock@google.com
- chromeos-commercial-remote-management@google.com
schema:
  properties:
    day_of_month:
      description: Day of month [1-31] when the reboot should happen, interpreted
        in the device's local time zone. Only used when 'frequency' is 'MONTHLY'.
        If this is more than the maximum number of days in a given month then the
        last day of the month will be chosen.
      maximum: 31
      minimum: 1
      type: integer
    day_of_week:
      $ref: WeekDay
      description: Day of week when the reboot should happen, interpreted in the device's
        local time zone. Only used when 'frequency' is 'WEEKLY'.
    frequency:
      description: Frequency at which the reboot should recur.
      enum:
      - DAILY
      - WEEKLY
      - MONTHLY
      type: string
    reboot_time:
      $ref: Time
      description: Time when the reboot should happen, interpreted in the device's
        local time zone.
  required:
  - reboot_time
  - frequency
  type: object
supported_on:
- chrome_os:94-
tags: []
type: dict
